"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CodeLensProvider {
    constructor(runner) {
        this.runner = runner;
    }
    provideCodeLenses(textDocument) {
        return this.runner.getCodeLens(textDocument);
    }
    resolveCodeLens(codeLens) {
        return new Promise(resolve => {
            resolve(codeLens);
        });
    }
}
exports.CodeLensProvider = CodeLensProvider;
//# sourceMappingURL=codelens-provider.js.map